##### basic_socket_acceptor::local_endpoint (2 of 2 overloads)

Get the local endpoint of the acceptor.

    endpoint_type local_endpoint(
        asio::error_code & ec) const;

This function is used to obtain the locally bound endpoint of the acceptor.

###### Parameters

ec

  Set to indicate what error occurred, if any.

###### Return Value

An object that represents the local endpoint of the acceptor. Returns a default-constructed endpoint object if an error occurred and the error handler did not throw an exception.

###### Example

    asio::ip::tcp::acceptor acceptor(my_context);
    ...
    asio::error_code ec;
    asio::ip::tcp::endpoint endpoint = acceptor.local_endpoint(ec);
    if (ec)
    {
      // An error occurred.
    }